import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  return request.post(constant.serverUrl + "/base/budgetModifyRecord/pageList", formData);
}

function list() {
  return request.post(constant.serverUrl + "/base/budgetModifyRecord/list");
}

function create() {
  return request.get(constant.serverUrl + "/base/budgetModifyRecord/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/base/budgetModifyRecord/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/base/budgetModifyRecord/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/base/budgetModifyRecord/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/base/budgetModifyRecord/delete/" + id);
}

function batchRemove(idList) {
  return request.post(constant.serverUrl + "/base/budgetModifyRecord/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

export default {
  pageList, create, edit, add, update, remove, batchRemove,list
}